New Instance select Hotfix Version or Downgrade

Elmar Höfinghoff asked on July 1, 2014 08:45


is it possible to select the version for a new Kentico instance or downgrade a Kentico Web to a special version to be compatible with imported Webs from an older Hotfix verison?

BR, Elmar

Recent Answers

Brenden Kehren answered on July 1, 2014 09:06

The best thing to do would be contact Kentico support for a base installer of the version you're looking for then create your new instance and update it to the HF you need. There is no way to "downgrade".

0 votesVote for this answer Mark as a Correct answer

Martin Danko answered on July 3, 2014 06:27


Yes, as Brenden said, there isn't option to downgrade after applying the hotfix. The only way at this point is to restore a backup of project before the hotfix was applied.

But when it comes to a major version... I believe that in 99.9% it really doesn't matter what exact hotfix are you running, the problem could be only between different versions of Kentico. However, of course by default it's not allowed to import web part from the newer hotfix but there is definitely no problem with importing the web part from any older hotfix of the same version.. There is just a warning displayed, but it's just an informative message.

You can ask for a download link to any older version from Support dept. or download it from the Client Portal.

Best regards, Martin

0 votesVote for this answer Mark as a Correct answer

   Please, sign in to be able to submit a new answer.